
Foreman - Bug #2600

Missing string extractions on compute resource VM forms

06/01/2013 12:44 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Internationalization   

Target version: 1.4.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The compute resource forms under app/views/compute_resources_vms/form/_*.html.erb have poor string extraction.  A number of

the fields need labels adding as they're currently being autogenerated.  Since they don't represent AR models, they can't be

automatically extracted either.

As an example, the libvirt form doesn't have CPUs, memory or the start checkbox extracted.  The "Folder" label on VMware isn't

extracted, but many other labels are missing.

Associated revisions

Revision a0c1773d - 12/09/2013 10:35 AM - Lukas Zapletal

fixes #2600 - fixed gettext extraction on vms forms

History

#1 - 07/03/2013 11:26 AM - Lukas Zapletal

- Assignee set to Lukas Zapletal

- Difficulty set to trivial

#2 - 09/19/2013 10:42 AM - Dominic Cleal

- Target version changed from 1.3.0 to 1.4.0

#3 - 10/16/2013 03:38 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#4 - 12/05/2013 01:12 PM - Dominic Cleal

- Description updated

- Status changed from New to Assigned

- Target version set to 1.9.3

#5 - 12/06/2013 08:53 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1079

Someone help me to finish this, thanks.

#6 - 12/09/2013 10:35 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#7 - 12/09/2013 11:31 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1079


- % Done changed from 0 to 100

Applied in changeset a0c1773dadc71b1138c75814b14c9cf884304a91.
